低危 c-ares堆缓冲区溢出漏洞

CVE编号

CVE-2016-5180

利用情况

暂无

补丁情况

官方补丁

披露时间

2016-10-04 04:59:00
漏洞描述
c-ares是一个用于异步执行DNS请求和名称解析的C库。
c-ares 1.0.0至1.11.0的版本中的‘ares_create_query’函数存在堆缓冲区溢出漏洞。远程攻击者可借助特制的主机名利用该漏洞造成拒绝服务(越边界写入)或执行任意代码。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://c-ares.haxx.se/adv_20160929.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 c-ares_project c-ares 1.0.0 -
运行在以下环境
应用 c-ares_project c-ares 1.1.0 -
运行在以下环境
应用 c-ares_project c-ares 1.2.0 -
运行在以下环境
应用 c-ares_project c-ares 1.2.1 -
运行在以下环境
应用 c-ares_project c-ares 1.3.0 -
运行在以下环境
应用 c-ares_project c-ares 1.3.1 -
运行在以下环境
应用 c-ares_project c-ares 1.3.2 -
运行在以下环境
应用 c-ares_project c-ares 1.4.0 -
运行在以下环境
应用 c-ares_project c-ares 1.5.0 -
运行在以下环境
应用 c-ares_project c-ares 1.5.1 -
运行在以下环境
应用 c-ares_project c-ares 1.5.2 -
运行在以下环境
应用 c-ares_project c-ares 1.5.3 -
运行在以下环境
应用 c-ares_project c-ares 1.6.0 -
运行在以下环境
应用 c-ares_project c-ares 1.7.0 -
运行在以下环境
应用 c-ares_project c-ares 1.7.1 -
运行在以下环境
应用 c-ares_project c-ares 1.7.2 -
运行在以下环境
应用 c-ares_project c-ares 1.7.3 -
运行在以下环境
应用 c-ares_project c-ares 1.7.4 -
运行在以下环境
应用 c-ares_project c-ares 1.7.5 -
运行在以下环境
应用 c-ares_project c-ares 1.8.0 -
运行在以下环境
应用 c-ares_project c-ares 1.9.0 -
运行在以下环境
应用 c-ares_project c-ares 1.9.1 -
运行在以下环境
应用 c-ares_project c-ares 1.10.0 -
运行在以下环境
应用 c-ares_project c-ares 1.11.0 -
2
运行在以下环境
系统 ubuntu_16.04 c-ares * Up to
(excluding)
1.10.0-3ubuntu0.1
3
运行在以下环境
系统 alpine_3.2 c-ares * Up to
(excluding)
1.12.0-r0
4
运行在以下环境
系统 suse_11_SP4 c-ares * Up to
(excluding)
1.7.4-7.9.1
5
运行在以下环境
系统 suse_12_SP1 c-ares * Up to
(excluding)
1.9.1-5.1
6
运行在以下环境
系统 suse_12_SP2 c-ares * Up to
(excluding)
1.9.1-5.1
7
运行在以下环境
系统 fedora_EPEL_5 c-ares * Up to
(excluding)
1.12.0-1.el5
8
运行在以下环境
系统 suse_12_SP1 c-ares * Up to
(excluding)
1.9.1-5.1
9
运行在以下环境
系统 suse_12_SP2 c-ares * Up to
(excluding)
1.9.1-5.1
10
运行在以下环境
系统 opensuse_Leap_42.1 c-ares * Up to
(excluding)
4.6.1-36.1
11
运行在以下环境
系统 opensuse_Leap_42.2 c-ares * Up to
(excluding)
4.6.1-3.1
12
运行在以下环境
系统 opensuse_Leap_42.1 c-ares * Up to
(excluding)
1.9.1-6.1
13
运行在以下环境
系统 opensuse_Leap_42.2 c-ares * Up to
(excluding)
1.9.1-6.1
14
运行在以下环境
系统 fedora_EPEL_6 c-ares * Up to
(excluding)
0.10.48-3.el6
15
运行在以下环境
系统 fedora_EPEL_7 c-ares * Up to
(excluding)
1.12.0-1.el7
16
运行在以下环境
系统 alpine_3.5 c-ares * Up to
(excluding)
1.12.0-r0
17
运行在以下环境
系统 alpine_3.4 c-ares * Up to
(excluding)
1.12.0-r0
18
运行在以下环境
系统 alpine_3.3 c-ares * Up to
(excluding)
1.12.0-r0
19
运行在以下环境
系统 debian_8 c-ares * Up to
(excluding)
1.10.0-2+deb8u1
20
运行在以下环境
系统 debian_7 c-ares * Up to
(excluding)
1.9.1-3+deb7u1
21
运行在以下环境
系统 suse_11_SP4 c-ares * Up to
(excluding)
1.7.4-7.9.1
22
运行在以下环境
系统 suse_12_SP1 c-ares * Up to
(excluding)
1.9.1-5.1
23
运行在以下环境
系统 suse_12_SP2 c-ares * Up to
(excluding)
1.9.1-5.1
24
运行在以下环境
系统 alpine_3.6 c-ares * Up to
(excluding)
1.12.0-r0
25
运行在以下环境
系统 fedora_EPEL_5 c-ares * Up to
(excluding)
1.12.0-1.el5
26
运行在以下环境
系统 opensuse_Leap_42.1 c-ares * Up to
(excluding)
4.6.1-36.1
27
运行在以下环境
系统 fedora_25 c-ares * Up to
(excluding)
1.12.0-1.fc25
28
运行在以下环境
系统 fedora_23 c-ares * Up to
(excluding)
1.12.0-1.fc23
29
运行在以下环境
系统 fedora_24 c-ares * Up to
(excluding)
1.12.0-1.fc24
30
运行在以下环境
系统 opensuse_Leap_42.2 c-ares * Up to
(excluding)
4.6.1-3.1
31
运行在以下环境
系统 fedora_EPEL_6 c-ares * Up to
(excluding)
0.10.48-3.el6
32
运行在以下环境
系统 fedora_EPEL_7 c-ares * Up to
(excluding)
1.12.0-1.el7
33
运行在以下环境
系统 opensuse_13.2 c-ares * Up to
(excluding)
1.10.0-2.3.1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况